Index: src/Actions/AnalysisAction/CalculateBoundingBoxAction.def
===================================================================
--- src/Actions/AnalysisAction/CalculateBoundingBoxAction.def	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Actions/AnalysisAction/CalculateBoundingBoxAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -20,4 +20,5 @@
 #undef paramdescriptions
 #undef paramdefaults
+#undef paramvalids
 
 // Reaction cannot be undone, hence no state
Index: src/Actions/AnalysisAction/CalculateCellVolumeAction.def
===================================================================
--- src/Actions/AnalysisAction/CalculateCellVolumeAction.def	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Actions/AnalysisAction/CalculateCellVolumeAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -18,4 +18,5 @@
 #undef paramdescriptions
 #undef paramdefaults
+#undef paramvalids
 
 // Reaction cannot be undone, hence no state
Index: src/Actions/AnalysisAction/CalculateMolarMassAction.def
===================================================================
--- src/Actions/AnalysisAction/CalculateMolarMassAction.def	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Actions/AnalysisAction/CalculateMolarMassAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -18,4 +18,5 @@
 #undef paramdescriptions
 #undef paramdefaults
+#undef paramvalids
 
 // Reaction cannot be undone, hence no state
Index: src/Actions/AnalysisAction/DipoleAngularCorrelationAction.def
===================================================================
--- src/Actions/AnalysisAction/DipoleAngularCorrelationAction.def	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Actions/AnalysisAction/DipoleAngularCorrelationAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -11,4 +11,9 @@
 
 #include "Parameters/Validators/DummyValidator.hpp"
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+#include "Parameters/Validators/Specific/FormulaValidator.hpp"
+#include "Parameters/Validators/Specific/RotationAngleValidator.hpp"
+#include "Parameters/Validators/Specific/TimeStepPresentValidator.hpp"
 
 // i.e. there is an integer with variable name Z that can be found in
@@ -16,9 +21,16 @@
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)(double)(double)(double)(boost::filesystem::path)(boost::filesystem::path)(unsigned int)
-#define paramvalids (DummyValidator< std::string >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< boost::filesystem::path >())(DummyValidator< boost::filesystem::path >())(DummyValidator< unsigned int >())
 #define paramreferences (DipoleFormula)(BinStart)(BinWidth)(BinEnd)(outputname)(binoutputname)(timestepzero)
 #define paramtokens ("dipole-angular-correlation")("bin-start")("bin-width")("bin-end")("output-file")("bin-output-file")("time-step-zero")
 #define paramdescriptions ("formula of molecules to calculate dipole of")("start of the first bin")("width of the bins")("start of the last bin")("name of the output file")("name of the bin output file")("initial time step to correlate following ones against")
 #define paramdefaults (NODEFAULT)(NODEFAULT)("0.5")(NODEFAULT)(NODEFAULT)(NODEFAULT)("0")
+#define paramvalids \
+(FormulaValidator()) \
+(RotationAngleValidator()) \
+(RotationAngleValidator()) \
+(RotationAngleValidator()) \
+(!FilePresentValidator()) \
+(!FilePresentValidator()) \
+(TimeStepPresentValidator())
 
 // some defines for all the names, you may use ACTION, STATE and PARAMS
Index: src/Actions/AnalysisAction/DipoleCorrelationAction.def
===================================================================
--- src/Actions/AnalysisAction/DipoleCorrelationAction.def	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Actions/AnalysisAction/DipoleCorrelationAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -11,4 +11,7 @@
 
 #include "Parameters/Validators/DummyValidator.hpp"
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+#include "Parameters/Validators/Specific/RotationAngleValidator.hpp"
 
 // i.e. there is an integer with variable name Z that can be found in
@@ -16,9 +19,15 @@
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (double)(double)(double)(boost::filesystem::path)(boost::filesystem::path)(bool)
-#define paramvalids (DummyValidator< double >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< boost::filesystem::path >())(DummyValidator< boost::filesystem::path >())(DummyValidator< bool >())
 #define paramreferences (BinStart)(BinWidth)(BinEnd)(outputname)(binoutputname)(periodic)
 #define paramtokens ("bin-start")("bin-width")("bin-end")("output-file")("bin-output-file")("periodic")
 #define paramdescriptions ("start of the first bin")("width of the bins")("start of the last bin")("name of the output file")("name of the bin output file")("system is constraint to periodic boundary conditions")
 #define paramdefaults (NODEFAULT)("0.5")(NODEFAULT)(NODEFAULT)(NODEFAULT)("0")
+#define paramvalids \
+(RotationAngleValidator()) \
+(RotationAngleValidator()) \
+(RotationAngleValidator()) \
+(!FilePresentValidator()) \
+(!FilePresentValidator()) \
+(DummyValidator<bool>())
 
 // some defines for all the names, you may use ACTION, STATE and PARAMS
Index: src/Actions/AnalysisAction/MolecularVolumeAction.def
===================================================================
--- src/Actions/AnalysisAction/MolecularVolumeAction.def	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Actions/AnalysisAction/MolecularVolumeAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -18,4 +18,5 @@
 #undef paramdescriptions
 #undef paramdefaults
+#undef paramvalids
 
 // some defines for all the names, you may use ACTION, STATE and PARAMS
Index: src/Actions/AnalysisAction/PointCorrelationAction.def
===================================================================
--- src/Actions/AnalysisAction/PointCorrelationAction.def	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Actions/AnalysisAction/PointCorrelationAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -14,4 +14,10 @@
 
 #include "Parameters/Validators/DummyValidator.hpp"
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/STLVectorValidator.hpp"
+#include "Parameters/Validators/Specific/BoxVectorValidator.hpp"
+#include "Parameters/Validators/Specific/BoxLengthValidator.hpp"
+#include "Parameters/Validators/Specific/ElementValidator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
 
 // i.e. there is an integer with variable name Z that can be found in
@@ -19,9 +25,17 @@
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::vector<const element *>)(Vector)(double)(double)(double)(boost::filesystem::path)(boost::filesystem::path)(bool)
-#define paramvalids (DummyValidator< std::vector<const element *> >())(DummyValidator< Vector >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< boost::filesystem::path >())(DummyValidator< boost::filesystem::path >())(DummyValidator< bool >())
 #define paramreferences (elements)(Point)(BinStart)(BinWidth)(BinEnd)(outputname)(binoutputname)(periodic)
 #define paramtokens ("elements")("position")("bin-start")("bin-width")("bin-end")("output-file")("bin-output-file")("periodic")
 #define paramdescriptions ("set of elements")("position in R^3 space")("start of the first bin")("width of the bins")("start of the last bin")("name of the output file")("name of the bin output file")("system is constraint to periodic boundary conditions")
 #define paramdefaults (NODEFAULT)(NODEFAULT)(NODEFAULT)("0.5")(NODEFAULT)(NODEFAULT)(NODEFAULT)("0")
+#define paramvalids \
+(STLVectorValidator< std::vector<const element *> >(ElementValidator())) \
+(BoxVectorValidator()) \
+(BoxLengthValidator()) \
+(BoxLengthValidator()) \
+(BoxLengthValidator()) \
+(!FilePresentValidator()) \
+(!FilePresentValidator()) \
+(DummyValidator<bool>())
 
 // some defines for all the names, you may use ACTION, STATE and PARAMS
Index: src/Actions/AnalysisAction/PrincipalAxisSystemAction.def
===================================================================
--- src/Actions/AnalysisAction/PrincipalAxisSystemAction.def	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Actions/AnalysisAction/PrincipalAxisSystemAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -20,4 +20,5 @@
 #undef paramdescriptions
 #undef paramdefaults
+#undef paramvalids
 
 // some defines for all the names, you may use ACTION, STATE and PARAMS
Index: src/Actions/AnalysisAction/SurfaceCorrelationAction.def
===================================================================
--- src/Actions/AnalysisAction/SurfaceCorrelationAction.def	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Actions/AnalysisAction/SurfaceCorrelationAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -13,4 +13,9 @@
 
 #include "Parameters/Validators/DummyValidator.hpp"
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/STLVectorValidator.hpp"
+#include "Parameters/Validators/Specific/BoxLengthValidator.hpp"
+#include "Parameters/Validators/Specific/ElementValidator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
 
 // i.e. there is an integer with variable name Z that can be found in
@@ -18,9 +23,16 @@
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::vector<const element *>)(double)(double)(double)(boost::filesystem::path)(boost::filesystem::path)(bool)
-#define paramvalids (DummyValidator< std::vector<const element *> >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< boost::filesystem::path >())(DummyValidator< boost::filesystem::path >())(DummyValidator< bool >())
 #define paramreferences (elements)(BinStart)(BinWidth)(BinEnd)(outputname)(binoutputname)(periodic)
 #define paramtokens ("elements")("bin-start")("bin-width")("bin-end")("output-file")("bin-output-file")("periodic")
 #define paramdescriptions ("set of elements")("start of the first bin")("width of the bins")("start of the last bin")("name of the output file")("name of the bin output file")("system is constraint to periodic boundary conditions")
 #define paramdefaults (NODEFAULT)(NODEFAULT)("0.5")(NODEFAULT)(NODEFAULT)(NODEFAULT)("0")
+#define paramvalids \
+(STLVectorValidator< std::vector<const element *> >(ElementValidator())) \
+(BoxLengthValidator()) \
+(BoxLengthValidator()) \
+(BoxLengthValidator()) \
+(!FilePresentValidator()) \
+(!FilePresentValidator()) \
+(DummyValidator<bool>())
 
 // some defines for all the names, you may use ACTION, STATE and PARAMS
